com.r3corda.node.services.network / NodeRegistration

# NodeRegistration

`class NodeRegistration`

A node registration state in the network map.

### Parameters

`node` - the node being added/removed.
`serial` - an increasing value which represents the version of this registration. Not expected to be sequential, but later versions of the registration must have higher values (or they will be ignored by the map service). Similar to the serial number on DNS records.
`type` - add if the node is being added to the map, or remove if a previous node is being removed (indicated as going offline).
`expires` - when the registration expires. Only used when adding a node to a map.

### Constructors

<init> | `NodeRegistration(node: NodeInfo, serial: Long, type: AddOrRemove, expires: Instant)` A node registration state in the network map.

### Properties

expires | `var expires: Instant`
node | `val node: NodeInfo`
serial | `val serial: Long`
type | `val type: AddOrRemove`

### Functions

toString | `fun toString(): String`
toWire | `fun toWire(privateKey: PrivateKey): WireNodeRegistration` Build a node registration in wire format.